// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <limits>
using namespace std;

template <typename A> constexpr A pi = A(3.1415926535897932385L); // 'L' is a generic suffix for 'long', which is determined by the type of variable

int main()
{
    cout << "Five-digit value of Pi: " << pi<float> << '\n';
    cout << "Integer value of Pi: " << pi<int> << '\n';
    
    cin.clear();
    cin.ignore(numeric_limits<streamsize>::max(), '\n');
    cin.get();
    return 0;
}
